> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/order.md).

# Order

## Order object structure

<table><thead><tr><th width="250.5999755859375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>RefNo</code></td><td><strong>String</strong><br>The unique, system-generated identifier of a partner order.</td></tr><tr><td><code>Status</code></td><td><strong>String</strong><br>Order status. Possible values: CANCELED, REFUND, TEST, REJECTED, COMPLETE, SUSPECT, AWAITING_PAYMENT, PENDING_APPROVAL, DELIVERY_NEEDS_INFO.</td></tr><tr><td><code>OrderLockReason</code></td><td><p><strong>StringArray</strong><br>The reason why the order is blocked in a certain status.</p><p><br>For AWAITING_PAYMENT order status, the <code>OrderLockReason</code> can be: UNPAID_PROFORMA, NOT_ENOUGH_CREDIT<br></p><p>For order status DELIVERY_NEEDS_INFO, the <code>OrderLockReason</code> can be:</p><ul><li>REQUIRED_END_USER_INFORMATION</li><li>REQUIRED_RESELLER_INFORMATION</li><li>REQUIRED_VENDOR_DELIVERY_CONFIRMATION</li></ul><p>Can be NULL.</p></td></tr><tr><td><code>ProformaNumber</code></td><td><strong>String</strong><br>The unique number of the partner invoice associated with this order. Can be NULL.</td></tr><tr><td><code>TotalAmount</code></td><td><strong>double</strong><br>The total value of the order, including tax, but excluding partner margins and discounts.</td></tr><tr><td><code>Currency</code></td><td><strong>String</strong><br>The order currency ISO code.</td></tr><tr><td><code>TotalSubbscriptionsNumber</code></td><td><strong>Int</strong><br>The total number of subscriptions generated for the products included in the order. Can be NULL, if subscriptions have yet to be generated for an order.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
